%global gem_name ronn-ng
%bcond_with     tests

Summary:        Builds man pages from Markdown
Name:           rubygem-%{gem_name}
Version:        0.9.1
Release:        6%{?dist}
License:        MIT
URL:            https://github.com/apjanke/ronn-ng
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires:  ruby(release) rubygems-devel
BuildRequires:  ruby rubygem(nokogiri)
BuildRequires:  rubygem(kramdown) rubygem(mustache) rubygem(test-unit)
Requires:       /usr/bin/groff
Provides:       rubygem-ronn = %{version}-%{release}
BuildArch:      noarch

%description
Ronn builds manuals in HTML and Unix man page format from Markdown.

The source format includes all of Markdown but has a more rigid structure and syntax extensions for
features commonly found in man pages (definition lists, link notation, etc.). The ronn-format(7)
manual page defines the format in detail.

%prep
%autosetup -n %{gem_name}-%{version}

%gemspec_remove_dep -g mustache "~> 0.7"

chmod -x lib/ronn.rb

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

install -Dt %{buildroot}/%{_mandir}/man1/ -m 0644 %{buildroot}%{gem_instdir}/man/ronn.1
install -Dt %{buildroot}/%{_mandir}/man7/ -m 0644 %{buildroot}%{gem_instdir}/man/ronn-format.7
install -Dt %{buildroot}/usr/share/bash-completion/completions/ -m 0644 %{buildroot}%{gem_instdir}/completion/bash/ronn
install -Dt %{buildroot}/usr/share/zsh/site-functions/ -m 0644 %{buildroot}%{gem_instdir}/completion/zsh/_ronn

%check
%if %{with tests}
pushd .%{gem_instdir}
ruby -Ilib:test -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd
%endif

%files
%license %{gem_instdir}/LICENSE.txt
%doc %{gem_docdir}
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/README.md
%dir %{gem_instdir}
%{_bindir}/ronn
%{gem_instdir}/CHANGES
%{gem_instdir}/INSTALLING.md
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_libdir}
%{gem_instdir}/completion
%{gem_cache}
%{gem_spec}
%dir %_datadir/bash-completion//
%_datadir/bash-completion/completions/
%_datadir/zsh/site-functions/
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/ronn-ng.gemspec
%{gem_instdir}/test
%{gem_instdir}/man
%{_mandir}/man1/ronn.1*
%{_mandir}/man7/ronn-format.7*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 0.9.1-1
- initial build
